package _04_break和continue;

public class Test {

    public static void main(String[] args) {
        /**
         * break : 表示终止意思 配合switch 和 循环一起操作
         * continue: 跳过本次循环 但是循环不会终止
         */

        /**
         * 需求: 遍历1-10
         * 如果i = 3 就终止循环
         */
//        for (int i = 1; i <= 10 ; i++) {
//            // 判断如果|i == 3 就break
//            System.out.println(i);
//            if(i == 3){
//                break;
//            }
//        }

        /**
         * continue: 跳过本次循环但是循环不会终止
         * 打印1-10 当中奇数, 如果是偶数我就跳过
         *
         */
        for (int i = 1; i <= 10 ; i++) {
            if(i % 2 == 0){
                continue;
            }
            System.out.println(i);
        }
    }
}
